Subject: Re: [PATCH v2] merge-file: fix BUG when --object-id is used in a worktree

From: Junio C Hamano <[email-masked]>
Date: Wed, 11 Mar 2026 10:26:41 -0700

"Kristoffer Haugsbakk" <[email-masked]> writes:

> On Wed, Mar 11, 2026, at 07:44, Mathias Rav wrote:
>>[snip]
>> As for the quotes in the commit references, I use gitk's "Copy commit
>> reference" daily and am personally used to the quotes. Since
>> SubmittingPatches seems to give equal preference to --pretty=reference and
>> "Copy commit reference" I didn't think that the quotes were a problem.
>
>> (I wonder how controversial it would be to remove the quotes in gitk.)
>
> Turns out that this has been attempted least once before:
>
> https://lore.kernel.org/git/[email-masked]/

True.

Perhaps something like this patch makes it clear that what the gitk
command gives and what --pretty=reference gives are not identical,
to avoid confusion like this?  I dunno.

 Documentation/SubmittingPatches | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git c/Documentation/SubmittingPatches w/Documentation/SubmittingPatches
index e270ccbe85..fad0b41af0 100644
--- c/Documentation/SubmittingPatches
+++ w/Documentation/SubmittingPatches
@@ -335,7 +335,7 @@ date)", like this:
 ....
 
 The "Copy commit reference" command of gitk can be used to obtain this
-format (with the subject enclosed in a pair of double-quotes), or this
+format (but with the subject enclosed in an extra pair of double-quotes), or this
 invocation of `git show`:
 
 ....